pidgin (1:2.14.13-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:47:36 +0000

pidgin (1:2.14.13-1ubuntu1) noble; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Mar 2024 22:55:21 +0100

pidgin (2.14.13-1) unstable; urgency=low

  * New upstream version 2.14.13 (Closes: 1065023)

 -- Richard Laager <rlaager@debian.org>  Mon, 11 Mar 2024 00:31:22 -0500

pidgin (1:2.14.12-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:22:45 +0000

pidgin (1:2.14.12-1ubuntu3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:00 +0100

pidgin (1:2.14.12-1ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:46 +0100

pidgin (1:2.14.12-1ubuntu1) lunar; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2023 15:29:41 +0100

pidgin (2.14.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063255

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:49:43 +0000

pidgin (2.14.12-1) unstable; urgency=medium

  * New upstream version 2.14.12
    - Fix a crash when closing a group chat with spellchk plugin enabled.
    - Update the about box to point people to Discourse instead of the
      mailing lists.

 -- Richard Laager <rlaager@debian.org>  Mon, 16 Jan 2023 22:22:53 -0600

pidgin (1:2.14.10-3ubuntu2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:51:11 +0100

pidgin (1:2.14.10-3ubuntu1) lunar; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 11:30:42 +0100

pidgin (2.14.10-3) unstable; urgency=medium

  * Update fix for spellchk crash (Closes: 1019348)
  * Various lintian override tweaks

 -- Richard Laager <rlaager@debian.org>  Fri, 28 Oct 2022 02:13:44 -0500

pidgin (2.14.10-2) unstable; urgency=medium

  * Fix spellchk crash when closing a group chat (Closes: 1019348)

 -- Richard Laager <rlaager@debian.org>  Mon, 24 Oct 2022 23:57:21 -0500

pidgin (1:2.14.10-1ubuntu1) kinetic; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Jul 2022 16:00:59 +0200

pidgin (2.14.10-1) unstable; urgency=medium

  * New upstream version 2.14.10
    - Make privacy settings persist. (PIDGIN-17137) (RR 1463) (Belgin Știrbu)
    - Fix a use after free that was introduced in 2.14.9. (RR 1488) (ivanhoe)
    - Fix a crash if the server sends a short form JOIN message. (PIDGIN-17375)
      (RR 1484) (Belgin Știrbu)
    - Fix a regression from 2.14.9 where XMPP accounts state would get lost
      after failing to connect. (PIDGIN-17621) (RR 1455) (Belgin Știrbu)
    - Fix a crash when requesting your own info in an XMPP conference. (RR 1465)
      (Belgin Știrbu)
    - Fix hang when completing a file transfer over XMPP. (RR 1466) (Belgin
      Știrbu)
    - Fix updating custom smileys. (PIDGIN-17153) (RR 1477) (Belgin Știrbu)
    - Fix unblocking users. (PIDGIN-16414) (RR 1479) (Belgin Știrbu)
    - Fix a crash when cancelling a file transfer. (PIDGIN-17189) (RR 1485)
      (Belgin Știrbu)

 -- Richard Laager <rlaager@debian.org>  Thu, 02 Jun 2022 23:46:31 -0500

pidgin (1:2.14.9-2ubuntu1) kinetic; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 May 2022 08:06:29 +0200

pidgin (2.14.9-2) unstable; urgency=medium

  * Update appstream metadata

 -- Richard Laager <rlaager@debian.org>  Fri, 13 May 2022 02:26:48 -0500

pidgin (1:2.14.9-1ubuntu1) kinetic; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2022 16:10:02 +0200

pidgin (2.14.9-1) unstable; urgency=medium

  * New upstream release
    - Remove _xmppconnect support. (RR 1357) (CVE-2022-26491) (Gary Kramlich)
    - Fix a GLib CRITICAL message with typing time outs. (RR 1123) (Mohammed
      Sadiq)
    - Fix an issue where the unit tests for purple_str_to_time would fail.
      (GENTOO-819774) (RR 1238) (Gary Kramlich)
    - Fix a memory leak in pidgin_conversations_set_tab_colors. (RR 1244)
      (ivanhoe)
    - Fixed the majority of the infinite resizing issues in the input box.
      (PIDGIN-16753, PIDGIN-16999, PIDGIN-17287, PIDGIN-17413, PIDGIN-17430,
      PIDGIN-17568, PIDGIN-17602) (RR 1342) (Belgin Știrbu)
    - Add transient-buddy back which is used to show some context menus and
      other things. (PIDGIN-17523) (RR 1381) (Belgin Știrbu)
    - Fix a typo in the German translations. (PIDGIN-17575) (RR 1242)
      (ivanhoe)
    - Synced all of the translations with Transifex.
    - Fix file transfers failing at 99% on IRC. (PIDGIN-15893) (RR 1385)
      (Belgin Știrbu)
    - Default realname and ident name in IRC to the username (nickname) of the
      account. (PIDGIN-17610) (RR 1386) (Belgin Știrbu)
    - Add an advanced account option to IRC accounts for explicitly setting
      the SASL login name. (PIDGIN-15451) (RR 1388) (Belgin Știrbu)
    - Added a rate limiter that should make it impossible to excess flood.
      (RR 1391) (Gary Kramlich)
    - Fix an issue with the CSeq numbers in SIMPLE. (PIDGIN-9675) (RR 1379)
      (dohmniq)
    - Fix XMPP attention messages being sent to incorrect JIDs. (PIDGIN-14714)
      (RR 1387) (itsnotabigtruck, Belgin Știrbu)
  * Modernize AppStream Metadata
  * Modernize desktop file
  * Correct devhelp symlink
  * Switch to machine-readable copyright
  * Audit copyright
  * Add fix-proxy-spelling-error.patch
  * Convert from cdbs to debhelper 13
    - Convert to multiarch
  * Update Standards-Version to 4.6.0

 -- Richard Laager <rlaager@debian.org>  Wed, 11 May 2022 04:22:32 -0500

pidgin (2.14.8-3) unstable; urgency=high

  * Backport "Fix the infinite resizing freeze" (Closes: 1006350)
  * Update libltdl-dev Build-Depends

 -- Richard Laager <rlaager@debian.org>  Fri, 15 Apr 2022 18:34:36 -0500

pidgin (2.14.8-2) unstable; urgency=low

  [ Richard Laager ]
  * Set Multi-Arch: foreign on pidgin-data (Closes: 828759)
  * Fix references to nonexistent smileys.
    Thanks to Roland Hieber <rohieb@rohieb.name> (Closes: 718463)

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Fix day-of-week for changelog entries 2.8.0-1, 2.4.3-3, 2.0.0+dfsg.1-1.

  [ Richard Laager ]
  * Remove explicit autoreconf build-depends

 -- Richard Laager <rlaager@debian.org>  Sun, 20 Feb 2022 15:40:36 -0600

pidgin (1:2.14.8-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:48:26 +0100

pidgin (1:2.14.8-1ubuntu1) jammy; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 15:10:42 +0100

pidgin (2.14.8-1) unstable; urgency=medium

  [ Richard Laager ]
  * New upstream version 2.14.8
    - Fix a regression in purple_str_to_time. (PIDGIN-17552) (RR 931)
      (Gary Kramlich)
    - Fix a double free in jabber/message.c. (PIDGIN-17547) (RR 932)
      (Gary Kramlich, pv32768)
    - Fix the link to the support mailing list archive in the About
      Dialog. (RR 929) (Gary Kramlich)

  [ Helmut Grohne ]
  * Convert libpidgin-dev to Architecture: any. (Closes: 996699)

 -- Richard Laager <rlaager@debian.org>  Wed, 20 Oct 2021 22:30:51 -0500

pidgin (1:2.14.7-2ubuntu1) jammy; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - make libpurple-dev multiarch (not tagged ad such since
      it still requires work on plugins)
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Oct 2021 00:03:55 +0200

pidgin (2.14.7-2) unstable; urgency=medium

  * Backport fix for XMPP double free (Closes: 995370)

 -- Richard Laager <rlaager@debian.org>  Mon, 04 Oct 2021 19:31:35 -0500

pidgin (2.14.7-1) unstable; urgency=medium

  * New upstream version 2.14.7 (Closes: 995042)
    - Various fixes for issues found by fuzzing.
    - Replace newlines in topics with spaces. (PIDGIN-16704) (RR 730) (Gary
      Kramlich)
    - Added support for the no_proxy environment variable. (PIDGIN-17518)
      (RR #667) (Alynx Zhou and Gary Kramlich)
    - Fix an out of bounds write in purple_markup_linkify. (RR 781) (Thomas
      Roth, Dominik Maier, and Fabian Freyer)
    - XMPP: Enable session management after binding a resource.
      (PIDGIN-17520) (RR 759) (defanor)
    - Made the project scan-build clean. (RR #692-705, #707-714, #716-#719)
      (Gary Kramlich)
    - Disabled UPnP and NAT-PMP by default for new user. (RR #706) (Gary
      Kramlich)
    - Changed the default server to irc.libera.chat. (RR #675) (Gary Kramlich)
    - Install our AppData file into the $prefix/share/metainfo. (RR 607)
      (Lars Wendler)
    - Removed the AIM protocol plugin. AIM has been shut down since December
      15th of 2017. We left it around because of a third party server, but our
      plugin no longer works with it. (RR #598) (Gary Kramlich)
    - Fix an issue with opening link in Firefox. (RR #503) (PIDGIN-16589)
    - Fix a regression from 2.14.0 where extra whitespace would be displayed
      when pasting <p> elements from HTML. (RR #504) (PIDGIN-17437)
    - Fix an issue where pasting <hr>'s and other HTML elements would
      eventually lead to a crash. (RR #514) (PIDGIN-17446)
  * Symlink to devhelp docs

 -- Richard Laager <rlaager@debian.org>  Sat, 25 Sep 2021 19:46:32 -0500

pidgin (1:2.14.1-1ubuntu1) hirsute; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - make libpurple-dev multiarch (not tagged ad such since
      it still requires work on plugins)
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Feb 2021 11:42:03 +0100

pidgin (2.14.1-1) unstable; urgency=medium

  * New upstream release
  * Use new libgnt package

 -- Richard Laager <rlaager@debian.org>  Thu, 04 Feb 2021 02:11:53 -0600

pidgin (2.13.0-3) unstable; urgency=medium

  * Adopt package
  * Run wrap-and-sort
  * Use https URLs
  * Add upstream metadata
  * Miscellaneous cleanups
  * Split Python3 patch
  * Minimize signing-key.asc
  * Use watch version 4
  * Remove old Conflicts
  * Address various Lintian issues
  * Add debian/.gitignore
  * Set Rules-Requires-Root: binary-targets
  * Recommend sensible-utils
  * Update branch structure
  * Fix building with Python 3.8
  * Fix some spelling errors

 -- Richard Laager <rlaager@debian.org>  Fri, 22 Jan 2021 01:18:29 -0600

pidgin (1:2.13.0-2.2ubuntu5) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:51:36 +0100

pidgin (1:2.13.0-2.2ubuntu4) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:21 +0100

pidgin (1:2.13.0-2.2ubuntu3) focal; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch (change committed on git)
    - add unity integration
    - make libpurple-dev multiarch (not tagged ad such since
      it still requires work on plugins)
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - pounce-webview.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jan 2020 16:04:10 +0100

pidgin (1:2.13.0-2.2ubuntu2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 08:05:13 +0000

pidgin (1:2.13.0-2.2ubuntu1) eoan; urgency=medium

  * Minimize delta with Debian: remaining changes:
    - Bump epoch
    - add unity integration
    - make libpurple-dev multiarch (not tagged ad such since
      it still requires work on plugins)
    - update preferences file.
    - add Ubuntu patches:
      - 04_let_crasher_for_apport.patch
      - 05_default_to_irc_ubuntu_com.patch
      - 10_docklet_default_off.patch
      - 11_buddy_list_really_show.patch
      - 13_sounds_and_timers.patch
      - 60_1024x600_gtkpounce.c.patch
      - 60_1024x600_gtkprefs.c.patch
      - xmessagingmenu.patch
      - pounce-webview.patch
      - remove-double-chat-section.patch (fix for desktop file)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Sep 2019 14:19:46 +0200

pidgin (2.13.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix purple-remote to work with python3, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Sep 2019 11:50:01 +0200

pidgin (2.13.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Laurent Bigonville ]
  * Switch to python3 (Closes: #781914)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Sep 2019 11:15:54 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpurple0t64`.
